public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/sddm/
Date: Sat,  7 Nov 2015 11:22:00 +0000 (UTC)	[thread overview]
Message-ID: <1446895308.038771aaf1b2351dfab1b638a6626ad7a80ab0c9.mrueg@gentoo> (raw)

commit:     038771aaf1b2351dfab1b638a6626ad7a80ab0c9
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Nov  7 11:21:28 2015 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Nov  7 11:21:48 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=038771aa

x11-misc/sddm: Version bump

Package-Manager: portage-2.2.24

 x11-misc/sddm/Manifest           |  1 +
 x11-misc/sddm/sddm-0.13.0.ebuild | 65 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/x11-misc/sddm/Manifest b/x11-misc/sddm/Manifest
index 7fa0ac1..957cdec 100644
--- a/x11-misc/sddm/Manifest
+++ b/x11-misc/sddm/Manifest
@@ -1,2 +1,3 @@
 DIST sddm-0.11.0.tar.gz 4735807 SHA256 80d53f075c275f744bd547523d6d640baccfacb4e463a71ec0facb8231b832ce SHA512 9dd2b80788e3cfdb353e64f709db451e04828991976b8b0f74c0e97dbf467fa2744702c73e5e50137eec10dac92df7dacd83fb458f75dd595556fc95fb1759f7 WHIRLPOOL 079c5093374710c2a3247a3e27dd26f3d10962c7cb8f260b80a4ba17a72e63676012d4b8e50f8f4bffc43124efdf05c7e14aefe86253b391345c7fa98a2d4c2f
 DIST sddm-0.12.0.tar.xz 3866620 SHA256 7d7504bf8a717a9131a2f32be852d7631365d21a468ca2649c8245f24ff29ae0 SHA512 d1d9f60634cb2a71096d92321a7a8b33efb8879a766979ca7c1d31ac5f1dbde8253384070338eef80f777db1cd78eef540e9111151f7f9e7d8e648d557e58047 WHIRLPOOL 58d21ead822b85bf3f0f6375cfadee6225dd9bf696e786fe68f283def43b4107d11e14b357d60b0278266270f9ddcb6a9b86285bc3b1a19644583f6ebebc4990
+DIST sddm-0.13.0.tar.xz 3869452 SHA256 dd868caaccf7783ead799f3b79e442d5adcb46251b78c8dbf3e9da0016dd347d SHA512 292a584945e74ea987088f975d5973b45a5b4fc07fa90b487fb9ece2de7ecca352344354474dfa8d103c8242367c19ad926e62a553e5b567d8d88a3f2c73c171 WHIRLPOOL e3961ecd5e22e8d565c16d86b6043ba7f3d6c1c296047d196577ab25af4e50216d67d53e9690b4df262c5ae4486bf36f88d345110a54bada9d75c4ff0dfc5ff3

diff --git a/x11-misc/sddm/sddm-0.13.0.ebuild b/x11-misc/sddm/sddm-0.13.0.ebuild
new file mode 100644
index 0000000..71969d7
--- /dev/null
+++ b/x11-misc/sddm/sddm-0.13.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit cmake-utils user
+
+DESCRIPTION="Simple Desktop Display Manager"
+HOMEPAGE="https://github.com/sddm/sddm"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/v${PV}/${P}.tar.xz"
+KEYWORDS="~amd64 ~x86"
+
+LICENSE="GPL-2+ MIT CC-BY-3.0 CC-BY-SA-3.0 public-domain"
+SLOT="0"
+IUSE="consolekit +pam systemd"
+
+RDEPEND="dev-qt/qtcore:5
+	dev-qt/qtdbus:5
+	dev-qt/qtgui:5
+	dev-qt/qtdeclarative:5
+	dev-qt/qtnetwork:5
+	dev-qt/qttest:5
+	>=x11-base/xorg-server-1.15.1
+	x11-libs/libxcb[xkb(-)]
+	consolekit? ( >=sys-auth/consolekit-0.9.4 )
+	pam? ( sys-libs/pam )
+	systemd? ( sys-apps/systemd:= )
+	!systemd? ( || ( sys-power/upower sys-power/upower-pm-utils ) )"
+
+DEPEND="${RDEPEND}
+	dev-python/docutils
+	dev-qt/linguist-tools:5
+	virtual/pkgconfig"
+
+pkg_pretend() {
+	if [[ ${MERGE_TYPE} != binary  && $(tc-getCC) == *gcc* ]]; then
+		if [[ $(gcc-major-version) -lt 4 || $(gcc-major-version) == 4 && $(gcc-minor-version) -lt 7 ]] ; then
+			die 'The active compiler needs to be gcc 4.7 (or newer)'
+		fi
+	fi
+}
+
+src_prepare() {
+	cmake-utils_src_prepare
+
+	# fix for flags handling and bug 563108
+	epatch "${FILESDIR}/${PN}-0.12.0-respect-user-flags.patch"
+	use consolekit && epatch "${FILESDIR}/${PN}-0.11.0-consolekit.patch"
+}
+
+src_configure() {
+	local mycmakeargs=(
+		$(cmake-utils_use_no pam PAM)
+		$(cmake-utils_use_no systemd SYSTEMD)
+		-DBUILD_MAN_PAGES=ON
+		-DDBUS_CONFIG_FILENAME="org.freedesktop.sddm.conf"
+		)
+
+	cmake-utils_src_configure
+}
+
+pkg_postinst() {
+	enewgroup ${PN}
+	enewuser ${PN} -1 -1 /var/lib/${PN} ${PN} video
+}


             reply	other threads:[~2015-11-07 11:22 UTC|newest]

Thread overview: 111+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-11-07 11:22 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-23 20:32 [gentoo-commits] repo/gentoo:master commit in: x11-misc/sddm/ Andreas Sturmlechner
2025-01-10  9:54 WANG Xuerui
2024-08-29 19:03 Andreas Sturmlechner
2024-08-29 15:40 Arthur Zamarin
2024-08-29 15:40 Arthur Zamarin
2024-08-29 15:40 Arthur Zamarin
2024-07-26 11:17 Arthur Zamarin
2024-07-24 17:37 Andreas Sturmlechner
2024-07-24 16:52 Andreas Sturmlechner
2024-07-24 16:52 Andreas Sturmlechner
2024-07-24 16:52 Andreas Sturmlechner
2024-07-12 15:24 Arthur Zamarin
2024-07-02 12:07 Jakov Smolić
2024-07-01 21:47 Andreas Sturmlechner
2024-07-01 21:47 Andreas Sturmlechner
2024-07-01 18:04 Andreas Sturmlechner
2024-06-27  9:43 Arthur Zamarin
2024-03-29  6:19 Arthur Zamarin
2024-03-29  6:19 Arthur Zamarin
2024-03-29  6:19 Arthur Zamarin
2023-09-11  0:28 Mike Gilbert
2023-09-10 21:20 Mike Gilbert
2023-09-03 14:19 Sam James
2023-09-03 14:17 Sam James
2023-09-03 14:17 Sam James
2023-09-02 18:01 Andreas Sturmlechner
2023-06-27 11:25 Andreas Sturmlechner
2022-12-03 17:13 Andreas Sturmlechner
2022-12-03 14:44 Arthur Zamarin
2022-12-03 12:49 Arthur Zamarin
2022-11-29 21:01 Andreas Sturmlechner
2022-10-06  9:14 Andreas Sturmlechner
2022-05-25 11:20 WANG Xuerui
2022-04-02 12:12 Arthur Zamarin
2022-04-02  8:03 Agostino Sarubbo
2022-04-02  7:59 Agostino Sarubbo
2022-04-01 14:48 Andreas Sturmlechner
2022-04-01 14:48 Andreas Sturmlechner
2022-04-01 14:48 Andreas Sturmlechner
2022-04-01 14:48 Andreas Sturmlechner
2022-04-01 14:48 Andreas Sturmlechner
2022-04-01 14:48 Andreas Sturmlechner
2022-04-01 14:48 Andreas Sturmlechner
2022-04-01 14:48 Andreas Sturmlechner
2022-04-01 14:48 Andreas Sturmlechner
2021-07-26  7:40 Yixun Lan
2021-07-04 14:03 Ulrich Müller
2021-06-27  2:08 Sam James
2021-06-24 23:27 Sam James
2020-10-10 10:14 Mikle Kolyada
2020-07-24 21:00 Mikle Kolyada
2020-06-21  9:25 Andreas Sturmlechner
2020-06-18 12:23 Mikle Kolyada
2019-09-08 16:18 Andreas Sturmlechner
2019-07-22 22:23 Andreas Sturmlechner
2019-07-22 21:56 Aaron Bauman
2019-06-26  9:44 Agostino Sarubbo
2019-06-26  8:32 Agostino Sarubbo
2019-06-23 14:55 Andreas Sturmlechner
2019-05-28  2:35 Aaron Bauman
2019-03-31  9:04 Michael Palimaka
2018-08-09 20:48 Andreas Sturmlechner
2018-07-28 13:25 Thomas Deutschmann
2018-07-26 21:44 Mikle Kolyada
2018-06-23 17:04 Andreas Sturmlechner
2018-06-22  7:23 Mikle Kolyada
2018-06-17 23:29 Thomas Deutschmann
2018-06-06 10:14 Andreas Sturmlechner
2018-05-05  6:59 Andreas Sturmlechner
2018-05-04 15:36 Thomas Deutschmann
2018-05-03 14:45 Mikle Kolyada
2018-04-19 18:00 Andreas Sturmlechner
2018-04-05 15:58 Andreas Sturmlechner
2018-02-02 13:04 Michael Palimaka
2018-01-09 11:56 Mikle Kolyada
2018-01-06  2:14 Andreas Sturmlechner
2018-01-06  2:14 Andreas Sturmlechner
2017-12-06 19:27 Manuel Rüger
2017-12-06 19:27 Manuel Rüger
2017-11-12 15:12 Andreas Sturmlechner
2017-11-12 15:12 Andreas Sturmlechner
2017-11-12 15:12 Andreas Sturmlechner
2017-10-23 11:35 Michael Palimaka
2017-10-19 12:57 Manuel Rüger
2017-10-09 14:07 Manuel Rüger
2017-09-03  1:15 Mike Gilbert
2017-09-02 15:07 Andreas Sturmlechner
2017-08-15  9:21 Lars Wendler
2017-06-28 11:00 Alexis Ballier
2017-03-07  9:14 David Seifert
2017-01-31 11:43 Agostino Sarubbo
2017-01-29 13:55 Agostino Sarubbo
2016-12-23 16:42 Johannes Huber
2016-08-31 12:01 Michael Palimaka
2016-08-31 12:01 Michael Palimaka
2016-08-29 10:09 Manuel Rüger
2016-08-29  8:10 Manuel Rüger
2016-08-07  8:28 Pacho Ramos
2016-06-01 21:14 Michael Palimaka
2016-04-14 15:38 Michael Palimaka
2016-04-06 12:26 Agostino Sarubbo
2016-03-03 15:26 Michael Palimaka
2016-03-03 15:26 Michael Palimaka
2016-02-15 22:59 Manuel Rüger
2016-01-30 14:22 Michael Palimaka
2016-01-30 13:56 Michael Palimaka
2015-11-09 14:41 Michael Palimaka
2015-10-17  8:25 Jauhien Piatlicki
2015-10-11 16:04 Manuel Rüger
2015-09-09 20:39 Jauhien Piatlicki

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1446895308.038771aaf1b2351dfab1b638a6626ad7a80ab0c9.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox